int echoPin 9 //Pino 9 recebe o pulso do echo  
int trigPin 8 //Pino 8 envia o pulso para gerar o echo  
  
void setup()  
{  
   Serial.begin(9600); //inicia a porta serial  
   pinMode(echoPin, INPUT); // define o pino 9 como entrada (recebe)  
   pinMode(trigPin, OUTPUT); // define o pino 8 como saida (envia)  
}  
  
void loop()  
{  
  //seta o pino 8 com um pulso baixo "LOW" ou desligado ou ainda 0  
    digitalWrite(trigPin, LOW);  
  // delay de 2 microssegundos  
    delayMicroseconds(2);  
  //seta o pino 8 com pulso alto "HIGH" ou ligado ou ainda 1  
    digitalWrite(trigPin, HIGH);  
  //delay de 10 microssegundos  
    delayMicroseconds(10);  
  //seta o pino 8 com pulso baixo novamente  
    digitalWrite(trigPin, LOW);  
  //pulseInt lê o tempo entre a chamada e o pino entrar em high  
    long duration = pulseIn(echoPin,HIGH);  
  //Esse calculo é baseado em s = v . t, lembrando que o tempo vem dobrado  
  //porque é o tempo de ida e volta do ultrassom  
    long distancia = duration /29 / 2 ;  
  
Serial.print("Distancia em CM: ");  
Serial.println(distancia);  
delay(1000); //espera 1 segundo para fazer a leitura novamente  
}  
